check WRAPPER_OUTPUT node type;
authorwenzelm
Thu, 04 Sep 2008 20:06:23 +0200
changeset 28138 03e5196b1559
parent 28137 b82ddffe7429
child 28139 831e545c655e
check WRAPPER_OUTPUT node type;
bin/isabelle-process
--- a/bin/isabelle-process	Thu Sep 04 20:05:48 2008 +0200
+++ b/bin/isabelle-process	Thu Sep 04 20:06:23 2008 +0200
@@ -224,6 +224,7 @@
 
 NICE="nice"
 if [ -n "$WRAPPER_OUTPUT" ]; then
+  [ "$WRAPPER_OUTPUT" = "-" -o -p "$WRAPPER_OUTPUT" ] || fail "Bad named pipe: $WRAPPER_OUTPUT"
   MLTEXT="$MLTEXT; IsabelleProcess.init \"$WRAPPER_OUTPUT\";"
 elif [ -n "$PGIP" ]; then
   MLTEXT="$MLTEXT; ProofGeneralPgip.init_pgip $ISAR;"